#
# spec file for package yast2-config-nis-server (Version 2.4.19)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libycp-devel libyui tcl yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libycp-devel libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-nis-server
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-trans-nis-server
Requires:	yast2-config-package-manager
Requires:	yast2-lib-network
BuildArchitectures:	noarch
Summary:      YaST2 - Configuration of NIS server
Version:      2.4.19
Release:      2
Source0:	yast2-config-nis-server-2.4.19.tar.bz2

%description
The YaST2 component for configuration of NIS server.
NIS is similar service to yellow pages.

Authors:
--------
    dan@suse.cz

SuSE series: yast

%prep
%setup -n yast2-config-nis-server-2.4.19

%build
./configure
make

%install
make install
make check

%files
%dir /usr/lib/YaST2/include/nis_server
/usr/lib/YaST2/clients/nis_server.ycp
/usr/lib/YaST2/include/nis_server/*.ycp
/usr/lib/YaST2/menuentries/menuentry_nis_server.ycp
/usr/lib/YaST2/scrconf/rc_ypserv.scr
/usr/lib/YaST2/scrconf/run_ypwhich_m.scr
/usr/lib/YaST2/scrconf/var_yp_securenets.scr
/usr/lib/YaST2/scrconf/var_yp_ypservers.scr
%dir /usr/share/doc/packages/yast2-config-nis-server
/usr/share/doc/packages/yast2-config-nis-server/*

%changelog -n yast2-config-nis-server
* Tue Oct 02 2001 - mvidner@suse.cz
- Supplied missing translation marks (#11563) (2.4.19)
* Mon Sep 24 2001 - mvidner@suse.cz
- Icon changed from "generic network" to "yellow book" used also
  for the client. (#11245) (2.4.18)
* Fri Sep 14 2001 - mvidner@suse.cz
- Delay when restarting ypbind (bug #10428). (2.4.17)
* Fri Sep 14 2001 - mvidner@suse.cz
- Documentation update.
- Fixed a disappearing progress label regression. (#10258)
- Minor layout fixes for ncurses.
- 2.4.16
* Tue Sep 11 2001 - mvidner@suse.cz
- Client: run SuSEconfig only after flushing rc-files. (2.4.15)
* Mon Sep 10 2001 - mvidner@suse.cz
- Slave server saves the domain name too.
- Slave server gets the list of maps from yphelper, not from ypwhich.
  (Works also when ypbind is not running, can change a domain)
- Get the master name from a map, do not enforce an IP address.
- 2.4.14
* Tue Sep 04 2001 - mvidner@suse.cz
- Fixed using more than one slave server. (2.4.13)
* Mon Sep 03 2001 - mvidner@suse.cz
- Start services only if not running already, portmap needs this (Bug #9999).
- Fixed detection of master without passwd.byname, using base host name.
- Make the ypservers map too.
- Fixed slave server setup (inverted NOPUSH).
- The check for presence in ypservers is done only after the domain is set up.
- Fixed stopping the client.
- Fixed backing up /var/yp/{ypservers,securenets}.
- Eliminated redundant bash calls in server selection dialog.
- 2.4.12
* Fri Aug 31 2001 - ro@suse.de
- added <libycp-devel> to neededforbuild (for testsuite)
* Mon Aug 27 2001 - mvidner@suse.cz
- Fixed starting the client (write yp.conf, set START_PORTMAP).
- Fixed starting yppasswdd and ypxfrd.
- 2.4.11
* Fri Aug 24 2001 - mvidner@suse.cz
- Fixed re-detection of being a server. (2.4.10)
* Tue Aug 21 2001 - mvidner@suse.cz
- Replaced obsolete fileexist builtin, fixed testsuite accordingly.
- 2.4.9
* Fri Aug 17 2001 - mvidner@suse.cz
- Fixed detection of whether to start a client too.
- Fixed detection of being a master when a client is not started.
- 2.4.8
* Tue Aug 14 2001 - mvidner@suse.cz
- Fixed *.scr file list. (Don't steal from yast2-core-scr) (2.4.7)
* Mon Aug 13 2001 - mvidner@suse.cz
- Moved specialized agents from yast2-agent-{any,rcconfig}.
- 2.4.6
* Wed Aug 08 2001 - mvidner@suse.cz
- Better error formatting.
- LSB-compatible daemon restarting.
- Warn about needing to reboot when client of a changed domain.
- Changed from RPM Requires to sw_single
- Using common routines from yast2-lib-network.
- 2.4.4
* Tue Jul 31 2001 - mvidner@suse.cz
- New maintainer.
- Temporary fix of an inconsistent testsuite.
- Requires yast2-config-package-manager and ypserv.
- Some English corrections.
- Added some doc comments.
- Unified Add-Edit-Delete buttons.
- Better enabling/disabling of buttons.
* Mon Jul 30 2001 - mvidner@suse.cz
- Added missing files.
- Turned off autoheader.
- Replaced _("&OK") by OKButtonLabel() etc.
- version 2.4.2
* Fri Jul 20 2001 - dan@suse.cz
- help text and locale fixes
* Tue Jul 17 2001 - dan@suse.cz
- initial version
